#pragma once

/*
	ApplicationFramework
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Ui System Interface

#include "ICoreSystem.h"

namespace ApplicationFramework {

class IUiSystem : public ICoreSystem
{
public:
    virtual int DefaultFontIndex() const = 0;
    virtual int FixedFontIndex() const = 0;
    virtual int IconFontIndex() const = 0;
    virtual int UnicodeFontIndex() const = 0;
    virtual int FallbackFontIndex() const = 0;
};

} // ApplicationFramework namespace
